Page MenuHomePhabricator

Log time when request makes it to Thumbor
Closed, ResolvedPublic

Description

At the moment we only log that information from nginx's perspective, and there can be a lot of unaccounted time. It could be in nginx request queueing, or in tornado's (thumbor).

Event Timeline

Gilles triaged this task as Normal priority.Feb 6 2018, 11:47 AM
Gilles created this task.

Change 409314 had a related patch set uploaded (by Gilles; owner: Gilles):
[operations/debs/python-thumbor-wikimedia@master] Upgrade to 1.12

https://gerrit.wikimedia.org/r/409314

Change 409315 had a related patch set uploaded (by Gilles; owner: Gilles):
[mediawiki/vagrant@master] Add Thumbor-Request-Date to Swift header whitelist

https://gerrit.wikimedia.org/r/409315

Change 409315 merged by jenkins-bot:
[mediawiki/vagrant@master] Add Thumbor-Request-Date to Swift header whitelist

https://gerrit.wikimedia.org/r/409315

Change 409314 merged by Filippo Giunchedi:
[operations/debs/python-thumbor-wikimedia@master] Upgrade to 1.12

https://gerrit.wikimedia.org/r/409314

Gilles closed this task as Resolved.Feb 12 2018, 3:28 PM

Show up in the Varnish slow log. Not exposed in thumbnail responses sent to the actual client, but I think that's ok. This was added to attempt to figure out some slow log mysteries.

Gilles reopened this task as Open.Feb 12 2018, 4:43 PM

Actually doesn't show up for 200s yet, but I think that's because the swift proxy filtering kicks in only in this case (which is interesting in itself - error responses aren't subject to the header filtering).

Change 409942 had a related patch set uploaded (by Gilles; owner: Gilles):
[operations/puppet@production] Whitelist new Thumbor-Request-Date header in Swift

https://gerrit.wikimedia.org/r/409942

Change 409942 merged by Filippo Giunchedi:
[operations/puppet@production] Whitelist new Thumbor-Request-Date header in Swift

https://gerrit.wikimedia.org/r/409942

Gilles closed this task as Resolved.Feb 13 2018, 10:35 AM